Skip to main content
PATCH
/
v1
/
affiliations
/
{id}
/
deactivate
Deactivate
curl --request PATCH \
  --url https://{defaultHost}/v1/affiliations/{id}/deactivate \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/affiliations/{id}/deactivate"

headers = {"Authorization": "Bearer <token>"}

response = requests.patch(url, headers=headers)

print(response.text)
const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/affiliations/{id}/deactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "27b0034d-7477-48cd-8332-9db97470c8a5",
  "object": "affiliation",
  "active": false,
  "bio": null,
  "code": "C8FDB373",
  "email": "von_veronika@mohr.example",
  "first_name": "Veronika",
  "last_name": "Von",
  "metadata": {},
  "payout_email": null,
  "url": null,
  "portal_url": "http://app.example.com/portal_redirect/affiliations/27b0034d-7477-48cd-8332-9db97470c8a5",
  "referral_urls": [
    "?aff=c8fdb373"
  ],
  "total_commission_amount": 0,
  "total_not_paid_commission_amount": 0,
  "commission_structure": null,
  "discarded_at": null,
  "created_at": 1782485804,
  "updated_at": 1782485804
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

active
boolean

Whether or not the affiliate is active.

affiliation_products

Expandable – Property not returned unless expanded.

commission_structure

Expandable – The associated commission structure ID.

portal_url
string | null

A URL that will redirect to this affiliation's correct portal page (hosted or external).

referral_url
string

The referral URL with the affiliate's code appended as a query parameter.

total_commission_amount
integer

The total commission amount earned by the affiliate.

total_not_paid_commission_amount
integer

The total commission amount earned by the affiliate that has not been paid out yet.

clicks

Expandable – Property not returned unless expanded.

referrals

Expandable – Property not returned unless expanded.

payouts

Expandable – Property not returned unless expanded.

discarded_at
integer | null

Time at which the object was discarded. Measured in seconds since the Unix epoch.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.